user-vneckPeople

The people endpoint gives access to the people in the CRM.

Good to know:

  • A person must always contain a familyname

Create a new person

post

Creates a person with emails, phone numbers, and metadata.

Authorizations
Body

Represents a CRM contact person with details like name, email, phone, and tags.

familyNamestring · nullableRequired
givenNamestring · nullableOptional
additionalNamestring · nullableOptional
initialsstring · nullableOptional
customerIdstring · nullableOptional
honorificPrefixstring · nullableOptional
isTrackedboolean · nullableOptional
linkedinIdstring · nullableOptional
externalSourcestring · nullableOptional
createdAtstring · nullableRead-onlyOptional
updatedAtstring · nullableRead-onlyOptional
importedAtstring · nullableRead-onlyOptional
archivedAtstring · nullableOptional
ownerstring · nullableOptionalExample: /users/{id}
jobTitlestring · nullableOptional
tagsstring · iri-reference[]OptionalExample: ["/tags/{id}"]
segmentsstring · iri-reference[]OptionalExample: ["/segments/{id}"]
organizationsstring · iri-reference[]OptionalExample: ["/organizations/{id}"]
avatarUrlstring · nullableRead-onlyOptional
avatarstring · nullableWrite-onlyOptionalExample: /media_objects/{id}
dealSizeinteger · nullableOptional
totalDealsinteger · nullableOptional
totalLostDealsinteger · nullableOptional
totalWonDealsinteger · nullableOptional
idstring · nullableOptional
Responses
post
/people

List people

get

Retrieve a paginated list of people.

Authorizations
Query parameters
pageintegerOptional

The collection page number

Default: 1
itemsPerPageinteger · max: 30Optional

The number of items per page

Default: 15
qstringOptional
owner.idstringOptional
owner.id[]string[]Optional
emailAddresses.emailstringOptional
emailAddresses.email[]string[]Optional
tags.idstringOptional
tags.id[]string[]Optional
segments.uuidstringOptional
segments.uuid[]string[]Optional
exists[archivedAt]booleanOptional
order[familyName]string · enumOptionalPossible values:
order[createdAt]string · enumOptionalPossible values:
createdAt[strictly_after]stringOptional
createdAt[after]stringOptional
createdAt[strictly_before]stringOptional
createdAt[before]stringOptional
identifiersstringOptional

Filter by identifiers (searches LinkedIn IDs, email addresses, and phone numbers)

identifiers[]stringOptional

Filter by multiple identifiers

viewstring · enumOptional

Filter parameter to specify the view. To get only UUIDs, use 'idx'.

Possible values:
Responses
chevron-right
200

Person collection

Person.jsonld collection.

get
/people

Retrieve a person

get

Get a single person by ID.

Authorizations
Path parameters
idstringRequired

Person identifier

Responses
chevron-right
200

Person resource

Represents a CRM contact person with details like name, email, phone, and tags.

get
/people/{id}

Update a person

put

Replaces all fields of a person.

Authorizations
Path parameters
idstringRequired

Person identifier

Body

Represents a CRM contact person with details like name, email, phone, and tags.

familyNamestring · nullableRequired
givenNamestring · nullableOptional
additionalNamestring · nullableOptional
initialsstring · nullableOptional
customerIdstring · nullableOptional
honorificPrefixstring · nullableOptional
isTrackedboolean · nullableOptional
linkedinIdstring · nullableOptional
externalSourcestring · nullableOptional
createdAtstring · nullableRead-onlyOptional
updatedAtstring · nullableRead-onlyOptional
importedAtstring · nullableRead-onlyOptional
archivedAtstring · nullableOptional
ownerstring · nullableOptionalExample: /users/{id}
jobTitlestring · nullableOptional
tagsstring · iri-reference[]OptionalExample: ["/tags/{id}"]
segmentsstring · iri-reference[]OptionalExample: ["/segments/{id}"]
organizationsstring · iri-reference[]OptionalExample: ["/organizations/{id}"]
avatarUrlstring · nullableRead-onlyOptional
avatarstring · nullableWrite-onlyOptionalExample: /media_objects/{id}
dealSizeinteger · nullableOptional
totalDealsinteger · nullableOptional
totalLostDealsinteger · nullableOptional
totalWonDealsinteger · nullableOptional
idstring · nullableOptional
Responses
chevron-right
200

Person resource updated

Represents a CRM contact person with details like name, email, phone, and tags.

put
/people/{id}

Partially update a person

patch

Updates specific fields of an existing person.

Authorizations
Path parameters
idstringRequired

Person identifier

Body

Represents a CRM contact person with details like name, email, phone, and tags.

familyNamestring · nullableOptional
givenNamestring · nullableOptional
additionalNamestring · nullableOptional
initialsstring · nullableOptional
customerIdstring · nullableOptional
honorificPrefixstring · nullableOptional
isTrackedboolean · nullableOptional
linkedinIdstring · nullableOptional
externalSourcestring · nullableOptional
createdAtstring · nullableRead-onlyOptional
updatedAtstring · nullableRead-onlyOptional
importedAtstring · nullableRead-onlyOptional
archivedAtstring · nullableOptional
ownerstring · nullableOptionalExample: /users/{id}
jobTitlestring · nullableOptional
tagsstring · iri-reference[]OptionalExample: ["/tags/{id}"]
segmentsstring · iri-reference[]OptionalExample: ["/segments/{id}"]
organizationsstring · iri-reference[]OptionalExample: ["/organizations/{id}"]
avatarUrlstring · nullableRead-onlyOptional
avatarstring · nullableWrite-onlyOptionalExample: /media_objects/{id}
dealSizeinteger · nullableOptional
totalDealsinteger · nullableOptional
totalLostDealsinteger · nullableOptional
totalWonDealsinteger · nullableOptional
idstring · nullableOptional
Responses
chevron-right
200

Person resource updated

Represents a CRM contact person with details like name, email, phone, and tags.

patch
/people/{id}

List person notes

get

Returns all notes attached to a given person, ordered by flag and creation date.

Authorizations
Path parameters
personIdstringRequired

PersonNoteResource identifier

Query parameters
pageintegerOptional

The collection page number

Default: 1
itemsPerPageinteger · max: 30Optional

The number of items per page

Default: 15
qstringOptional
personstringOptional
person[]string[]Optional
category.idstringOptional
category.id[]string[]Optional
author.idstringOptional
author.id[]string[]Optional
flaggedbooleanOptional
order[flagged]string · enumOptionalPossible values:
order[createdAt]string · enumOptionalPossible values:
createdAt[strictly_after]stringOptional
createdAt[after]stringOptional
createdAt[strictly_before]stringOptional
createdAt[before]stringOptional
Responses
chevron-right
200

PersonNoteResource collection

PersonNoteResource.jsonld collection.

get
/people/{personId}/notes

Get person note

get

Retrieves a single note attached to a person.

Authorizations
Path parameters
personIdstringRequired

PersonNoteResource identifier

idstringRequired

PersonNoteResource identifier

Responses
chevron-right
200

PersonNoteResource resource

Represents a CRM note attached to a person, such as contact moments or meeting summaries.

get
/people/{personId}/notes/{id}

Create person note

post

Creates a new note linked to a specific person.

Authorizations
Path parameters
personIdstringRequired

PersonNoteResource identifier

Body

Represents a CRM note attached to a person, such as contact moments or meeting summaries.

idstring · nullableOptional
personIdstring · nullableWrite-onlyOptional
createdAtstring · nullableOptional
descriptionstring · nullableRequired
titlestring · nullableOptional
flaggedboolean · nullableOptional
isPrivateboolean · nullableOptional
authorstring · nullableOptionalExample: /users/{id}
categorystring · nullableRequiredExample: /note_categories/{id}
Responses
post
/people/{personId}/notes

Replace person note

put

Replaces all fields of a person note.

Authorizations
Path parameters
personIdstringRequired

PersonNoteResource identifier

idstringRequired

PersonNoteResource identifier

Body

Represents a CRM note attached to a person, such as contact moments or meeting summaries.

idstring · nullableOptional
personIdstring · nullableWrite-onlyOptional
createdAtstring · nullableOptional
descriptionstring · nullableRequired
titlestring · nullableOptional
flaggedboolean · nullableOptional
isPrivateboolean · nullableOptional
authorstring · nullableOptionalExample: /users/{id}
categorystring · nullableRequiredExample: /note_categories/{id}
Responses
chevron-right
200

PersonNoteResource resource updated

Represents a CRM note attached to a person, such as contact moments or meeting summaries.

put
/people/{personId}/notes/{id}

Update person note

patch

Updates one or more fields of a person note.

Authorizations
Path parameters
personIdstringRequired

PersonNoteResource identifier

idstringRequired

PersonNoteResource identifier

Body
idstring · nullableOptional
personIdstring · nullableWrite-onlyOptional
createdAtstring · nullableOptional
descriptionstring · nullableOptional
titlestring · nullableOptional
flaggedboolean · nullableOptional
isPrivateboolean · nullableOptional
authorstring · nullableOptionalExample: /users/{id}
categorystring · nullableOptionalExample: /note_categories/{id}
Responses
chevron-right
200

PersonNoteResource resource updated

Represents a CRM note attached to a person, such as contact moments or meeting summaries.

patch
/people/{personId}/notes/{id}

Last updated